package com.ruoyi.advertiser.constant;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 *  签名业务定义
 * @author zzw
 * @date 2021/8/5
 * @Description: se-tsm签名业务定义
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class SeSignature {

    /** 应用方流水号，由CISAS保证唯一 */
    private String apTxnNo;

    /** 业务编号 */
    private String signType;

    /** 待签名数据 */
    private String dataForSign;

    /** 时间 */
    private String times;
}
