package com.ruoyi.advertiser.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 广告素材 对象 ad_material
 *
 * @author zhangzhanwei
 * @date 2021-09-13
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class Material extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 原图片 */
    @ApiModelProperty("原图片")
    private String originalPicUrl;

    /** 转换后图片 */
    @ApiModelProperty("转换后图片")
    private String convertedPicUrl;

    /** 转换后文件 */
    @ApiModelProperty("转换后文件")
    private String convertedFileUrl;

    /** 状态 0待提交，1审核中，2审核通过，3被驳回*/
    @ApiModelProperty("状态")
    private String status;

    /** 状态描述 */
    @ApiModelProperty("状态描述")
    private String statusDesc;

    private Integer picSort;

    private Boolean picShow;
}
