package com.ruoyi.advertiser.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 素材url
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel("广告素材LSC文件的URL")
public class MaterialLscUrlDto {

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 转换后文件URL */
    @ApiModelProperty("转换后文件URL")
    private String convertedFileUrl;
}
