package com.ruoyi.mcu.common;

import com.ruoyi.advertiser.service.IAdHandleService;
import com.ruoyi.mcu.config.McuSocketConfig;
import com.ruoyi.mcu.server.DealChannel;
import com.ruoyi.mcu.server.DealServer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * @author wzsdch_p751
 * @date 2022/07/18 14:07
 **/
@Component
public class McuBeanConfig {

    @Bean(name="dealChannel")
    @Scope("prototype")
    public DealChannel getDealChannel(McuSocketConfig mcuSocketConfig,
                                      IAdHandleService adHandleService,
                                      DealServer dealServer){
        return new DealChannel(mcuSocketConfig,adHandleService,dealServer);
    }

    @Bean(name="eventLoopGroup")
//    @Scope("prototype")
    public EventLoopGroup getEventLoopGroup() throws IOException {
        return new EventLoopGroup();
    }
}
