package com.ruoyi.mcu.constant;

/**
 * 心跳包类型
 * @author zzw
 * @date 2021/6/8
 * @Description: 包类型占 1 个字节，用于区分不同类型的包。
 */
public interface McuBeatPackTypeConstant {

    /** 上行心跳包 */
    byte UP_BEAT_PACKAGE_TYPE = 0x01;

    /** 下行心跳应答包 */
    byte DOWN_BEAT_PACKAGE_TYPE = 0x02;

    /** 下行设置包 */
    byte DOWN_SETUP_PACKAGE_TYPE = 0x03;

    /** 升级包 */
    byte UPGRADE_PACKAGE_TYPE = 0x04;

    /** 图片文件传输包 */
    byte IMAGE_TRANSMIT_PACKAGE_TYPE = 0x05;

    /** SE服务平台业务 */
    byte SE_PACKAGE_TYPE = 0x06;
}
