package com.ruoyi.mcu.domain;
 
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.nio.channels.SocketChannel;

/**
 * @author zzw
 * @date 2021/6/17
 * @Description: 通道集合
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ChannelBean {
    //设备编号
    private String imei;
    //设备名称
    private String name;
    //通信通道
    private SocketChannel socketChannel;
    //最近的返回数据
    private Object msg;
    //是否连接
    private boolean isConnect;


}
