package com.ruoyi.mcu.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * TLV结构对象
 * @author zzw
 * @date 2021/6/8
 * @Description: T tag标签 L length长度 V value值
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class TlvFrame {
    private int tag;
    private int length;
    private byte[] values;
}
