package com.ruoyi.setsm.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 *  激活应答指令定义
 * @author zzw
 * @date 2021/8/5
 * @Description: se-tsm激活应答指令定义
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class ActivatingCommand {
    /** apdu指令<=512 */
    private String apdu;

    /** 指令执行顺序<=32 */
    private String apduNo;

    /** 期望apdu指令执行得到的正常状态的正则表达式<=32 */
    private String expStatusRegEx;

}
