package com.ruoyi.advertiser.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 轮播计划存入redis数据
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CarouselPlanDayDto {
    /** 地铁开始运营时间*/
    private Date stationStartDate;
    /** 地铁结束运营时间*/
    private Date stationEndDate;
    /** 图片显示列表**/
    private List<CarouselPlanDayPicsDto> DataList;
    /** 图片绑定列表**/
    private Long[] imageBindingIds;
    /** 早高峰时段图片对象集合*/
    List<MaterialUrlDto> adMaterialsMorning;
    /** 晚高峰时段图片对象集合*/
    List<MaterialUrlDto> adMaterialsEvening;
    /** 非高峰时段图片对象集合*/
    List<MaterialUrlDto> adMaterialsNormal;
}
