package com.ruoyi.advertiser.domain.dto;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 轮播计划展示数据
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class CarouselPlanDto {
    /** 早高峰图片组 */
    private String morningPeakMaterialIds;
    /** 晚高峰图片组 */
    private String eveningPeakMaterialIds;
    /** 非高峰图片组 */
    private String normalTimeMaterialIds;
    /** 始发站开始时间 */
    private String startStationStartTime;
    /** 始发站结束结束时间 */
    private String startStationEndTime;
    /** 终点站开始时间 */
    private String endStationStartTime;
    /** 终点站结束时间 */
    private String endStationEndTime;
    /** 早高峰开始时间 */
    private String morningPeakStartTime;
    /** 早高峰结束 */
    private String morningPeakEndTime;
    /** 晚高峰开始时间 */
    private String eveningPeakStartTime;
    /** 晚高峰结束时间 */
    private String eveningPeakEndTime;
}
