package com.ruoyi.advertiser.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 素材url
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel("广告素材URL")
public class MaterialUrlDto {

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 原图片URL */
    @ApiModelProperty("原图片URL")
    private String originalPicUrl;

    /** 转换后图片URL */
    @ApiModelProperty("转换后图片URL")
    private String convertedPicUrl;

    /** 签名后文件URL */
    @ApiModelProperty("签名后文件URL")
    private String convertedFileUrl;
}
