package com.ruoyi.setsm.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 *  激活业务定义类
 * @author zzw
 * @date 2021/8/5
 * @Description: se-tsm对接激活业务定义
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class SeActivating {
    /** 应用方流水号，由DMS保证唯一 */
    private String apTxnNo;

    /** SE随机数 */
    private String nonce;

    /** 芯片ID */
    private String seId;

    /** 签名数据结果 */
    private String signedData;

    /** Se证书 */
    private String seCer;

    /** 设备编号 */
    private String deviceId	;

    /** 设备信息，初始值和设备编号一样 */
    private String deviceInfo;

    /** 时间 */
    private String times;

}
