package com.ruoyi.setsm.service;

import com.ruoyi.advertiser.constant.SeSignature;
import com.ruoyi.setsm.domain.SeActivating;

/**
 *  激活设备
 * @author zzw
 * @date 2021/8/6
 * @Description: se-tsm对接激活业务
 */
public interface SeActivatingService {

    /**
     * 激活业务接口
     * @param requestId 请求标识，作为判断重发报文的唯一标志
     * @param seActivating Activating – 激活业务码数据
     */
    String activating(String requestId, SeActivating seActivating);

    /**
     * 请求签名
     * @param requestId 请求标识，作为判断重发报文的唯一标志
     * @param seSignature 签名业务码数据
     */
    String signature(String requestId, SeSignature seSignature);
}
